/*
 * This is the main css file for crn.hopto.org
 */

/* source-code-pro-regular - latin */
@font-face {
  font-family: 'Source Code Pro';
  font-style: normal;
  font-weight: 400;
  src: local(''),
       url('../fonts/source-code-pro-v22-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('../fonts/source-code-pro-v22-latin-regular.woff') format('woff'), /* Modern Browsers */
}
/* source-code-pro-italic - latin */
@font-face {
  font-family: 'Source Code Pro';
  font-style: italic;
  font-weight: 400;
  src: local(''),
       url('../fonts/source-code-pro-v22-latin-italic.woff2') format('woff2'), /* Super Modern Browsers */
       url('../fonts/source-code-pro-v22-latin-italic.woff') format('woff'), /* Modern Browsers */
}

* {
    font-family: 'Source Code Pro';
  }

html {
    font-size:  120%; /* or 62.5% or whatever you like, it doesn't matter, it's just a browser fix, however "rem"     units will be based on that value, so make it confortable for calculations */
}

/* colors */
blue { color: blue }
green { color: green }
red { color: red }
yellow { color: yellow }

/* Paragraph styles */
p.blue {
  border-left-style: solid;
  border-color: blue;
  margin-left: 10px;
  padding-top: 10px;
  padding-right: 10px;
  padding-bottom: 10px;
  padding-left: 10px;
}

p.green {
  border-style: solid;
  border-color: green;
  margin-left: 10px;
  padding-top: 10px;
  padding-right: 10px;
  padding-bottom: 10px;
  padding-left: 10px;
}

p.red {
  border-style: solid;
  border-color: red;
  margin-left: 10px;
  padding-top: 10px;
  padding-right: 10px;
  padding-bottom: 10px;
  padding-left: 10px;
}

/* Horizontal rule */

hr {
    border: 1px dashed cornflowerblue;
}

hr.one {
    border: 0;
    height: 1px;
    background: #333;
    background-image: linear-gradient(to right, #ccc, #333, #ccc);
}

hr.two {
    border: 0;
    height: 1px;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0));
}

hr.three {
    overflow: visible; /* For IE */
    padding: 0;
    border: none;
    border-top: medium double #333;
    color: #333;
    text-align: center;
}
hr.three:after {
    content: "§";
    display: inline-block;
    position: relative;
    top: -0.7em;
    font-size: 1.5em;
    padding: 0 0.25em;
    background: white;
}

hr.four {
    height: 12px;
    border: 0;
    box-shadow: inset 0 12px 12px -12px rgba(0, 0, 0, 0.5);
}

hr.pacman {
  border: 0;
  height: 25px;
  background-image: url('http://crn.hopto.org/pics/packman.png');
  background-repeat: no-repeat;
  background-position: center;
}

hr.pac2 {
  border: 0;
  height: 25px;
  background-image: url('http://crn.hopto.org/pics/gif-files/line5.gif');
  background-repeat: no-repeat;
  background-position: center;
}

/* Misc */

pre {
    white-space: pre-wrap;       /* Since CSS 2.1 */
    white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
    white-space: -pre-wrap;      /* Opera 4-6 */
    white-space: -o-pre-wrap;    /* Opera 7 */
    word-wrap: break-word;       /* Internet Explorer 5.5+ */
}

blockquote {
  font: 14px/22px;
  margin-top: 10px;
  margin-bottom: 10px;
  margin-left: 50px;
  padding-left: 15px;
  border-left: 3px solid green;
}

#footer {
  text-align: center;
  background-color: grey;
}

body { 
    margin: 7;
    background-image: url("/include/pics/white4.jpeg"); 
    background-attachment: fixed;
}

